# SimpleParameterBinding

## `SimpleParameterBinding`

A SimpleParameterBinding binds a simple parameter of an invoked Mapping to the value of an expression computed by the invoker. Execution of the mapping may use the value.

syntax: `formalName uses expression;`

conformsTo `MappingParameterBinding`

Attributes

`isCheck : Boolean[?]`

Whether the variable initialization needs to be checked as a predicate. This is a derivation of not ownedInit.type.conformsTo(self.type).

Associations

`value : OCLExpression[1]`

The value or collection of values to bind to boundVariable